TechDraw Cote horizontale

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page TechDraw Dimension Horizontal and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎română • ‎русский
Arrow-left.svg Page précédente : TechDraw Dimension Length.svg Longueur
Page suivante : Cote verticale TechDraw Dimension Vertical.svg Arrow-right.svg

TechDraw Dimension Horizontal.svg TechDraw Cote horizontale

Emplacement du menu
TechDraw → Dimensions → Insert Horizontal Distance
Ateliers
TechDraw
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
TechDraw Longueur, TechDraw Cote verticale


Description

L'outil Distance Horizontale ajoute une dimension horizontale à une vue. La dimension peut être entre deux sommets, la longueur d'un bord ou la distance horizontale entre deux bords. La dimension sera initialement la distance projetée (c.-à-d. comme indiqué sur le dessin), mais elle peut être remplacée par la distance 3D réelle en utilisant l'outil TechDraw Dimension Link.svg Lier une Dimension

TechDraw Dimension Horizontal example.png

Dimension de longueur prise à partir de deux nœuds arbitraires de la vue; la distance est mesurée horizontalement


Comment faire

  1. Sélectionnez les points ou les arêtes qui définissent votre mesure.
  2. Appuyez sur le boutonTechDraw Dimension Horizontal.svg Insert Distance Horizontal
  3. Une dimension sera ajoutée à la vue. La dimension peut être déplacée à la position désirée.

Limitations

Les objets de dimension sont vulnérables aux problèmes de "nommage topologique". Consultez les informations de l'outil TechDraw Dimension Longueur pour plus d'informations.

Propriétés

Cet objet a les mêmes propriétés que l'outil TechDraw Dimension Longueur. Voir cet outil pour plus de détails.

Script

Voir aussi : TechDraw API et FreeCAD Script de Base.

L'outil Dimension Horizontal peut être utilisé dans des macros et à partir de la console Python à l'aide des fonctions suivantes:

dim1 = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewDimension','Dimension')
dim1.Type = "DistanceX"
dim1.References2D=[(view1, 'Edge1')]
rc = page.addView(dim1)


Arrow-left.svg Page précédente : TechDraw Dimension Length.svg Longueur
Page suivante : Cote verticale TechDraw Dimension Vertical.svg Arrow-right.svg